Name: libdvbpsi5
Version: 0.1.6
Release: alt1

Summary: A library for decoding and generating MPEG 2 and DVB PSI sections
License: GPL
Packager: Pavlov Konstantin <thresh@altlinux.ru>
Group: System/Libraries
Url: http://www.videolan.org/

Source: http://download.videolan.org/pub/libdvbpsi/%version/%name-%version.tar.bz2

# Automatically added by buildreq on Tue Mar 18 2003
BuildRequires: doxygen libfreetype libgd2 libjpeg libXpm gcc-c++ graphviz fonts-type1-urw

%description
%name is a simple library designed for MPEG 2 TS and DVB PSI tables
decoding and generating. The important features are:
 * PAT decoder and genarator.
 * PMT decoder and generator.

%package -n libdvbpsi-devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release
Provides: %name-devel

%description -n libdvbpsi-devel
The %name-devel package includes the header files and libraries
necessary for developing programs which will manipulate MPEG 2 and DVB PSI
information using the %name.

%prep
%setup -q -n %name-%version

%build
%configure \
	--disable-static \
	--enable-release

%make_build
%make_build -C doc doc

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS README

%files -n libdvbpsi-devel
%_includedir/*
%_libdir/*.so
%doc ChangeLog doc/doxygen/html

%changelog
* Mon Oct 22 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.1.6-alt1
- 0.1.6 release.
- Package renamed to libdvbpsi5 due to soname change.

* Fri Jun 02 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.1.5-alt1
- 0.1.5 release.

* Thu Nov 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1.3-alt1
- new version.
- don't package .la files.

* Tue Mar 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1.2-alt1
- Adopted for Sisyphus.

* Fri Oct 11 2002 Samuel Hocevar <sam@zoy.org>
- 0.1.2 release.

* Sat May 18 2002 Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
- 0.1.1 release.

* Mon Apr 8 2002 Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
- split into two separate packages.

* Thu Apr 4 2002 Jean-Paul Saman <saman@natlab.research.philips.com>
- first version of package for redhat systems.
